VisualEditor: Cursoring around a node leads to pawning inserting the cursor before (not after) the text in Firefox
Closed, ResolvedPublic

Description

(Second browser-specific - Firefox - bug I file today after 54322).
It was reported by Fram at en.wp, quickest way to duplicate:
<<cursor in front of ref, use the "back arrow" on your keyboard once (so the ref number gets "blue"), and type.>>

https://en.wikipedia.org/w/index.php?title=User%3AElitre_%28WMF%29%2FSandbox&diff=575562298&oldid=575557792 (with a snowman as well).

More ways:
<<Type some text, add a ref, remove the ref using backspace, then change your mind and use the "undo" arrow of VE. No, change your mind again and use the "undo" arrow once more, again removing the ref. Now type. Notice anything strange? Yep, I'm typing backwards. https://en.wikipedia.org/w/index.php?title=User:Fram/sandbox&oldid=575553019
[...]
Other tests produced the snowmen, or the insertion of huge chunks of text by VE. https://en.wikipedia.org/wiki/In_My_Dreams_%28Emmylou_Harris_song%29?veaction=edit
[...]
Easy way to check the "backwards typing": go to https://en.wikipedia.org/wiki/In_My_Dreams_%28Emmylou_Harris_song%29?veaction=edit , put the cursor after ref 1, backspace, undo arrow, type.>>

TeamGale adds:
<<I tried to reproduce it because I was curious and it's a really weird bug! Although when I put my cursor at the end of the "backwards typing" and clicked space, I could type straight again! TeamGale 10:03, 3 October 2013 (UTC)>>


Version: unspecified
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=57600
https://bugzilla.wikimedia.org/show_bug.cgi?id=61538

bzimport set Reference to bz54917.
Elitre created this task.Via LegacyOct 3 2013, 11:32 AM
Jdforrester-WMF added a comment.Via ConduitOct 3 2013, 9:28 PM

I /think/ this is the same as bug 54712 which we're working on right now and will rush out a live patch - merging the bugs. If it proves otherwise, please shout

  • This bug has been marked as a duplicate of bug 54712 ***
bzimport added a comment.Via ConduitOct 4 2013, 6:53 AM

Wikifram wrote:

Not a duplicate and/or not resolved. Please just test whatever has been described before closing bugs, there are too many that need to be reopened. [https://en.wikipedia.org/w/index.php?title=In_My_Dreams_%28Emmylou_Harris_song%29&diff=575692625&oldid=565930941]

Elitre added a comment.Via ConduitOct 4 2013, 10:13 AM

/me shouts :D
Still happening with Firefox.

Jdforrester-WMF added a comment.Via ConduitOct 4 2013, 5:58 PM

Can now replicate; yes, this is very worrying.

Elitre added a comment.Via ConduitOct 22 2013, 10:42 AM

Still being reported: yesterday, on fr.wp.

Jdforrester-WMF added a comment.Via ConduitNov 26 2013, 1:21 PM
  • Bug 57347 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitJul 29 2014, 2:01 AM

Now fixed again, hopefully for good.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.